Bug 127735 - SanDisk USB flash drive not recognised
SanDisk USB flash drive not recognised
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: hwdata (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-12 23:15 EDT by Mariano Draghi
Modified: 2014-03-16 22:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-26 15:01:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
diff -rup against my (modified) updfstab.conf.default (311 bytes, patch)
2004-07-12 23:36 EDT, Mariano Draghi
no flags Details | Diff

  None (edit)
Description Mariano Draghi 2004-07-12 23:15:33 EDT
Description of problem:
SanDisk Cruzer Mini USB Flash Drive not recognised. I had to manually
add the "vendor id" as reported by dmesg to the updfstab.conf.default
file.

Version-Release number of selected component (if applicable):
hwdata-0.120-1

How reproducible:
Always

Steps to Reproduce:
1. Plug a SanDisk Cruzer Mini USB Flash Drive into a USB port.
  
Actual results:
The device is not mounted. There's no mount point added to /etc/fstab

Expected results:
The device is mounted. A mount point is automagically added to /etc/fstab

Additional info:
Adding the line 
    match   hd SanDisk
to the "device flash" section of updfstab.conf.default solves the problem.
Comment 1 Mariano Draghi 2004-07-12 23:17:05 EDT
Output of dmesg when the device is plugged:

usb 1-2: new high speed USB device using address 2
SCSI subsystem initialized
Initializing USB Mass Storage driver...
scsi0 : SCSI emulation for USB Mass Storage devices
  Vendor: SanDisk   Model: Cruzer Mini       Rev: 0.1
  Type:   Direct-Access                      ANSI SCSI revision: 02
USB Mass Storage device found at 2
usbcore: registered new driver usb-storage
USB Mass Storage support registered.
SCSI device sda: 501759 512-byte hdwr sectors (257 MB)
sda: assuming Write Enabled
sda: assuming drive cache: write through
 sda: sda1
Attached scsi removable disk sda at scsi0, channel 0, id 0, lun 0
Comment 2 Mariano Draghi 2004-07-12 23:36:47 EDT
Created attachment 101849 [details]
diff -rup against my (modified) updfstab.conf.default
Comment 3 Rasmus Back 2004-07-26 09:54:42 EDT
I have the same flash drive, here's the relevant output from kudzu -s
-p -c HD in case it helps:
-
class: HD
bus: USB
detached: 0
driver: usb-storage
desc: "SanDisk Corporation Cruzer Mini"
usbclass: 8
usbsubclass: 6
usbprotocol: 50
usbbus: 1
usblevel: 1
usbport: 0
usbdev: 5
vendorId: 0781
deviceId: 5150
usbmfr: SanDisk Corporation
usbprod: Cruzer Mini
-
class: HD
bus: SCSI
detached: 0
device: sda
driver: ignore
desc: "Sandisk Cruzer Mini"
host: 3
id: 0
channel: 0
lun: 0
generic: sg0

I put match hd "Sandisk Cruzer Mini" in the flash section of my
updfstab.conf.default and it works.
Comment 4 Bill Nottingham 2004-07-26 15:01:49 EDT
Added, will be in later hwdata builds.

Note You need to log in before you can comment on or make changes to this bug.